// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_aerie/ae1_sky
{
	qer_editorimage env/ut4_aerie/bromene-bay_bk.tga
	
	skyparms env/ut4_aerie/bromene-bay 128 -
	
	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 310 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

}

// ---=== Ladderclip ===---

textures/ut4_aerie/ae1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Holopanels ===---
// ---=== My Logo ===---

textures/ut4_aerie/ae1_lhlogo
{
	qer_editorimage textures/ut4_aerie/lh_logo.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
//	deformVertexes autosprite2
	q3map_surfacelight 900

	{
		map textures/ut4_aerie/lh_logo.tga
		blendFunc blend
	}
}

// ---=== Glass ===---

textures/ut4_aerie/ae1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		map textures/ut4_aerie/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_aerie/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_aerie/ae1_glassclearnd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_aerie/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== No Damage ===---

textures/ut4_aerie/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

// ---=== Slick ===---

textures/ut4_aerie/ft_rocky_07:q3map
{
	surfaceparm slick
}

// ---=== Light Emitting Textures ===---

textures/ut4_aerie/e5_panel128light
{
	qer_editorimage textures/ut4_aerie/e5_panel128light.tga
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nonsolid
	{
		map textures/ut4_aerie/e5_panel128light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_aerie/e5_panel128light_blend.tga
		blendfunc add
	}
}

textures/ut4_aerie/e6basicstrip_blue
{
	qer_editorimage textures/ut4_aerie/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_aerie/e6basicstrip_blue.tga
	}
}

textures/ut4_aerie/e6basicstrip_green
{
	qer_editorimage textures/ut4_aerie/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_aerie/e6basicstrip_green.tga
	}
}

textures/ut4_aerie/e6basicstrip_orange
{
	qer_editorimage textures/ut4_aerie/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_aerie/e6basicstrip_orange.tga
	}
}

textures/ut4_aerie/e6basicstrip_purple
{
	qer_editorimage textures/ut4_aerie/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_aerie/e6basicstrip_purple.tga
	}
}

textures/ut4_aerie/e6basicstrip_red
{
	qer_editorimage textures/ut4_aerie/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_aerie/e6basicstrip_red.tga
	}
}

textures/ut4_aerie/e6basicstrip_white
{
	qer_editorimage textures/ut4_aerie/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_aerie/e6basicstrip_white.tga
	}
}

textures/ut4_aerie/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_aerie/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_aerie/e6basicstrip_yellow.tga
	}
}

textures/ut4_aerie/e8warn2steplight
{
	qer_editorimage textures/ut4_aerie/e8warn2steplight.tga
	q3map_lightimage textures/ut4_aerie/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map textures/ut4_aerie/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_aerie/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_aerie/ae1_gothbara
{
	qer_editorimage textures/ut4_aerie/lh_gothbar_amb.jpg
	q3map_lightimage textures/ut4_aerie/lh_gothbar_blenda.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_aerie/lh_gothbar_amb.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_aerie/lh_gothbar_blenda.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_aerie/ae1_gothbarb
{
	qer_editorimage textures/ut4_aerie/lh_gothbar_blu.jpg
	q3map_lightimage textures/ut4_aerie/lh_gothbar_blendb.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_aerie/lh_gothbar_blu.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_aerie/lh_gothbar_blendb.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_aerie/ae1_gothbarr
{
	qer_editorimage textures/ut4_aerie/lh_gothbar_red.jpg
	q3map_lightimage textures/ut4_aerie/lh_gothbar_blendr.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_aerie/lh_gothbar_red.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_aerie/lh_gothbar_blendr.tga
		blendfunc GL_ONE GL_ONE
	}
}

// ---=== shiny ===---

textures/ut4_aerie/ae1_chrome1
{
	qer_editorimage textures/ut4_aerie/chrome1.tga
	surfaceparm nodamage

	{
		map textures/ut4_aerie/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_aerie/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

